<?php
if (!defined('_ECRIRE_INC_VERSION')){
	return;
}


function tester_autorisation($faire, $type,  $id = 0, $qui = [], $secret = true) {
	include_spip('inc/autoriser');
	if (autoriser('webmestre', null, null, $qui, null)) {
		return true;
	}

	if ($secret) {
		if ($qui['boss'] === "oui") {
			return true;
		}
		$p = pipeline('super_autorisation',[
			'faire' => $faire,
			'type'  => $type,
			'id'    => $id,
			'qui'   => $qui
		]);
		if (is_bool($p) === true and $p) {
			return true;
		}
	}

	$Tauts = [];
	if (!empty($qui['autorisations'])) {
		$Tauts = json_decode($qui['autorisations'],true);
	}

	if (array_key_exists($type, $Tauts)) {
		if (in_array($faire, $Tauts[$type])) {
			// si on demande pour un $id specifique
			if ( intval($id)) {
				$test_auteurs_objet = charger_fonction('test_auteurs_objet','');
				if ($test_auteurs_objet($type, $id, ['qui' => $qui, 'faire' => $faire])) {
					return true;
				} else {
					return false;
				}
			}
			return true;
		}
	}
	return false;
}

function test_auteurs_objet_dist($objet, $id_objet, $cond){
	return auteurs_objet($objet, $id_objet, 'id_auteur=' . $cond['qui']['id_auteur']);
}
